=== debian/changelog ===
ncbi-vdb (2.8.1+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Make sure jni.h will be really found
  * Brute-force libkapp building with -fPIC

 -- Andreas Tille <tille@debian.org>  Wed, 07 Jun 2017 13:57:51 +0200

ncbi-vdb (2.8.1+dfsg-2) unstable; urgency=medium

  * Fix install dir by using DEB_HOST_MULTIARCH instead of DEB_BUILD_GNU_TYPE
    (thanks for the patch to Graham Inggs <ginggs@debian.org>)
    Closes: #859260

 -- Andreas Tille <tille@debian.org>  Sat, 01 Apr 2017 22:50:01 +0200

ncbi-vdb (2.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Install libs/kfg/*.kfg into /usr/lib/ncbi-vdb/kfg/

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2017 15:27:16 +0100

ncbi-vdb (2.8.0+dfsg-2) unstable; urgency=medium

  * Make sure libraries are properly linked with libmbed
    Closes: #844900
  * Adjust dependencies from other development packages
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 25 Nov 2016 12:41:49 +0100

ncbi-vdb (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Use wildcard instead of $(CPU) in install to fix FTBFS on i386 (thanks
    for the patch to Logan Rosen <logan@ubuntu.com>)
    Closes: #843129
  * New Build-Depends: libmbedtls-dev

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2016 10:15:13 +0100
